Macro
Revision history for one observation
Returns all vintages (revisions) of a single observation date, ordered by publication date ascending. Shows how an economic data point was revised over time from initial release through annual revisions.
GET
/
v1
/
series
/
{id}
/
revisions
Revision history for one observation
curl --request GET \
--url https://api.vintl.io/v1/series/{id}/revisions \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.vintl.io/v1/series/{id}/revisions"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.vintl.io/v1/series/{id}/revisions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "revision_series",
"request_id": "req_...",
"status": "ok",
"results": [
{
"date": "2023-07-01T00:00:00Z",
"as_of_date": "2023-10-26T00:00:00Z",
"value": "22491.567",
"series_id": "GDPC1"
},
{
"date": "2023-07-01T00:00:00Z",
"as_of_date": "2023-11-29T00:00:00Z",
"value": "22506.365",
"series_id": "GDPC1"
},
{
"date": "2023-07-01T00:00:00Z",
"as_of_date": "2023-12-21T00:00:00Z",
"value": "22490.692",
"series_id": "GDPC1"
},
{
"date": "2023-07-01T00:00:00Z",
"as_of_date": "2024-09-26T00:00:00Z",
"value": "22780.933",
"series_id": "GDPC1"
},
{
"date": "2023-07-01T00:00:00Z",
"as_of_date": "2025-09-25T00:00:00Z",
"value": "22840.989",
"series_id": "GDPC1"
}
],
"results_count": 5,
"has_more": false
}{
"type": "https://macrodata.dev/errors/unauthorized",
"title": "Unauthorized",
"status": 401,
"detail": "API key is required. Set the X-API-Key header.",
"instance": "/v1/ping"
}Authorizations
API key prefixed with mda_live_sk_
Path Parameters
Query Parameters
The observation date to get revisions for
Last modified on April 2, 2026
⌘I
Revision history for one observation
